Subject: [DMM] draft requirement REQ-5: Mobile IP based

From: h chan <[email-masked]>
Date: Mon, 7 May 2012 18:11:37 +0000

REQ-5: Mobile IP based
The DMM solutions based on existing host- or network-based mobility protocols, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6 [RFC5213, 5844] and NEMO [RFC3963], SHOULD be preferred, unless they fail to meet any of the other requirements.
REQ-5M (Motivation for REQ-5)
The motivation is to reuse the existing protocol first before considering new protocols.

(The above has been drafted with contributions, inputs and discussions from various people. Additional contributions and comments are most welcome.)

H Anthony Chan

---

From: jouni korhonen <[email-masked]>
Date: Fri, 18 May 2012 03:02:45 +0300

> The DMM solutions based on existing host- or network-based mobility protocols, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6 [RFC5213, 5844] and NEMO [RFC3963], SHOULD be preferred, unless…

What about something on the lines with:

"A DMM solution that relies on a mobility protocol should be based
 on existing mobility protocol, such as .."

- Jouni

> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm

---

From: Peter McCann <[email-masked]>
Date: Fri, 18 May 2012 15:00:45 +0000

Hi, Jouni,

jouni korhonen wrote:
>> The DMM solutions based on existing host- or network-based mobility
> protocols, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6
> [RFC5213, 5844] and NEMO [RFC3963], SHOULD be preferred, unless they
> fail to meet any of the other requirements.
> 
> "A DMM solution that relies on a mobility protocol should be based  on
> existing mobility protocol, such as .."

Sounds good to me.

-Pete

> - Jouni
> 
>> REQ-5M (Motivation for REQ-5) The motivation is to reuse the existing
>> protocol first before considering new protocols.
>> 
>> (The above has been drafted with contributions, inputs and discussions
>> from various people. Additional contributions and comments are most
>> welcome.)
>> 
>> H Anthony Chan
>> 
>>

---

From: Sri Gundavelli <[email-masked]>
Date: Mon, 21 May 2012 19:13:39 -0700

> The DMM solutions based on existing host- or network-based mobility protocols, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6 [RFC5213, 5844] and NEMO [RFC3963], SHOULD be preferred, unless…

Anthony:

Ack. Since, you have added 3963 reference, you may want to add a reference to the PMIPv6 PD draft.

Regards
Sri

---

From: h chan <[email-masked]>
Date: Wed, 23 May 2012 21:24:52 +0000

Clean up the text below:

REQ-5: Mobile IP based
A DMM solution that relies on a mobility protocol SHOULD be based on existing mobility protocol, such as Mobile IPv6 [RFC6275, 5555], Proxy Mobile IPv6 [RFC5213, 5844], NEMO [RFC3963], and [I-D.ietf-netext-pd-pmip]. 

(assuming the PMIPv6 PD will have an rfc number later to update this requirement)

REQ-5M (Motivation for REQ-5):
The motivation is to reuse the existing protocol first before considering new protocols.

H Anthony Chan

-----Original Message-----
From: Peter McCann 
Sent: Friday, May 18, 2012 10:01 AM
To: jouni korhonen; h chan
Cc: [email-masked]
Subject: RE: [DMM] draft requirement REQ-5: Mobile IP based

Hi, Jouni,

Sounds good to me.

-Pete